
socket = new Socket("10.0.0.6", 1337);

while (!socket.IsConnected()) {}

Print("Enter a nickname: ");
nick = ReadLine();
socket.Send(nick);

while (true)
{
	var say = socket.Receive();
	while (say != undefined)
	{
		Print(say);
		say = socket.Receive();
	}
	
	Print("Say something: ");
	something = ReadLine();
	
	if (something == "kk")
	{
		something = [1, 213, "ajksdn", "balle", [2.12, 1, 2, 3, "LOL@you"]];
	}
	
	Print(something);
	
	socket.Send(something);	
}

